@import "color";

@mixin button-base() {
  .btn {
    display: inline-block;
    text-align: center;
    vertical-align: middle;
    user-select: none;
    background-color: transparent;
    border: 1px solid transparent;
    padding: .375rem .75rem;
    font-size: 1rem;
    line-height: 1.5;

    &.btn-primary {
      color: chooseContrastColor(clr("primary"));
      background-color: clr("primary");
    }

    &.btn-secondary {
      color: chooseContrastColor(clr("secondary"));
      background-color: clr("secondary");
    }

    &.btn-success {
      color: chooseContrastColor(clr("success"));
      background-color: clr("success");
    }

    &.btn-info {
      color: chooseContrastColor(clr("info"));
      background-color: clr("info");
    }

    &.btn-warning {
      color: chooseContrastColor(clr("warning"));
      background-color: clr("warning");
    }

    &.btn-danger {
      color: chooseContrastColor(clr("danger"));
      background-color: clr("danger");
    }

    &.btn-light {
      color: chooseContrastColor(clr("light"));
      background-color: clr("light");
    }

    &.btn-dark {
      color: chooseContrastColor(clr("dark"));
      background-color: clr("dark");
    }

    &.btn-large {
      padding: .5rem 1rem;
      font-size: 1.25rem;
      line-height: 1.5;
    }

    &.btn-small {
      padding: .25rem .5rem;
      font-size: .875rem;
      line-height: 1.5;
    }

    &.btn-block {
      display: block;
      width: 100%;
    }

    &:disabled,
    &.disabled {
      opacity: .50;
      pointer-events: none;
    }

    &:not(:disabled):not(.disabled) {
      cursor: pointer;
    }
  }

}

@mixin button-xsmall() {}

@mixin button-small() {}

@mixin button-medium() {}

@mixin button-large() {}